-- 基础信息
base_info = {
	group_id = 247001036
}

-- DEFS_MISCS
local GroupId = 247001036
local point_id_list = {}
local MainGroupID = 247001001
local RegionID = 36001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 36001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.024, y = 0.050, z = 559.965 } }
}

-- 触发器
triggers = {
	{ config_id = 1036001, name = "ENTER_REGION_36001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 36002, pos = { x = -3.910, y = 0.107, z = 570.953 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 36003, pos = { x = 4.174, y = 0.105, z = 570.899 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 36004, pos = { x = 0.069, y = 0.101, z = 571.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 36005, pos = { x = -7.087, y = 0.121, z = 569.738 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 36006, pos = { x = 7.133, y = 0.115, z = 569.297 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 36007, pos = { x = -8.307, y = 0.105, z = 567.016 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 36008, pos = { x = 8.801, y = 0.110, z = 567.032 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 36009, pos = { x = -8.558, y = 0.100, z = 563.310 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 36010, pos = { x = 8.902, y = 0.108, z = 563.326 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 36011, pos = { x = 0.104, y = 0.115, z = 570.968 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 36012, pos = { x = -5.682, y = 0.126, z = 570.035 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 36013, pos = { x = 5.795, y = 0.100, z = 570.001 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 36014, pos = { x = -8.625, y = 0.108, z = 565.356 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 36015, pos = { x = 8.925, y = 0.106, z = 565.361 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 36016, pos = { x = -8.611, y = 0.102, z = 560.471 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 36017, pos = { x = 8.831, y = 0.101, z = 560.527 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 36018, pos = { x = -5.633, y = 0.100, z = 555.804 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 36019, pos = { x = 5.724, y = 0.100, z = 555.719 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 36020, pos = { x = 0.006, y = 0.100, z = 554.924 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 36021, pos = { x = -7.110, y = 0.142, z = 570.014 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 36022, pos = { x = 7.170, y = 0.117, z = 570.017 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 36023, pos = { x = -7.108, y = 0.100, z = 555.663 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 36024, pos = { x = 7.093, y = 0.100, z = 555.741 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 36025, pos = { x = 0.195, y = 0.117, z = 570.262 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 36026, pos = { x = -0.003, y = 0.100, z = 555.505 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 36027, pos = { x = -8.085, y = 0.101, z = 562.835 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 36028, pos = { x = 8.291, y = 0.104, z = 562.801 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 36029, pos = { x = -7.980, y = 0.102, z = 558.771 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 36030, pos = { x = 7.988, y = 0.109, z = 566.210 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 36031, pos = { x = 3.427, y = 0.100, z = 552.320 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 36032, pos = { x = -3.825, y = 0.126, z = 567.243 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 36033, pos = { x = 0.714, y = 0.126, z = 564.070 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 36034, pos = { x = -2.036, y = 0.126, z = 564.070 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 36035, pos = { x = 2.737, y = 0.126, z = 565.585 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 36036, pos = { x = -0.013, y = 0.126, z = 565.585 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 36037, pos = { x = -2.706, y = 0.126, z = 565.476 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 36038, pos = { x = -5.456, y = 0.126, z = 565.476 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 36039, pos = { x = -4.431, y = 0.050, z = 563.360 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36040, pos = { x = -2.494, y = 0.050, z = 563.360 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36041, pos = { x = -0.702, y = 0.050, z = 563.359 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36042, pos = { x = 1.235, y = 0.050, z = 563.360 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36043, pos = { x = 3.161, y = 0.050, z = 563.360 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36044, pos = { x = 5.099, y = 0.050, z = 563.359 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36045, pos = { x = -2.638, y = 0.050, z = 561.922 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36046, pos = { x = -0.701, y = 0.050, z = 561.923 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36047, pos = { x = 1.225, y = 0.050, z = 561.923 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36048, pos = { x = 3.163, y = 0.050, z = 561.921 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 36049, pos = { x = -0.002, y = 0.050, z = 550.775 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 36001 },
		triggers = { "ENTER_REGION_36001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
